### Method

# Gtk CellArea get_cell_at_position

deprecated: 4.10

#### Declaration [src]

    GtkCellRenderer*
    gtk_cell_area_get_cell_at_position (
      GtkCellArea* area,
      GtkCellAreaContext* context,
      GtkWidget* widget,
      const GdkRectangle* cell_area,
      int x,
      int y,
      GdkRectangle* alloc_area
    )

#### Description [src]

Gets the `GtkCellRenderer` at `x` and `y` coordinates inside `area` and optionally returns the full cell allocation for it inside `cell_area`.

Deprecated since: 4.10

Please do not use it in newly written code.

#### Parameters

`context`

  Type: `GtkCellAreaContext`

  The `GtkCellArea`Context used to hold sizes for `area`.

  The data is owned by the caller of the method.

`widget`

  Type: `GtkWidget`

  The `GtkWidget` that `area` is rendering on.

  The data is owned by the caller of the method.

`cell_area`

  Type: `GdkRectangle`

  The whole allocated area for `area` in `widget` for this row.

  The data is owned by the caller of the method.

`x`

  Type: `int`

  The x position.

`y`

  Type: `int`

  The y position.

`alloc_area`

  Type: `GdkRectangle`

  Where to store the inner allocated area of the returned cell renderer.

  The argument will be set by the function.
  The argument can be `NULL`.
  The returned data is owned by the instance.

#### Return value

Type: `GtkCellRenderer`

The `GtkCellRenderer` at `x` and `y`.

The returned data is owned by the instance.